gss_compare_name(3)

NAME
gss_compare_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_compare_name(OM_uint32 * minor_status, const gss_name_t name1, const gss_name_t name2, int * name_equal);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_name_t name1
    (gss_name_t, read) Internal-form name.

const gss_name_t name2
    (gss_name_t, read) Internal-form name.

int * name_equal
    (boolean, modify) Non-zero - names refer to same
      entity. Zero - names refer to different entities (strictly, the
      names are not known to refer to the same identity).

DESCRIPTION
Allows an application to compare two internal-form names to determine whether they refer to the same entity.

If either name presented to gss_compare_name denotes an anonymous principal, the routines should indicate that the two names do not refer to the same identity.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_NAMETYPE`: The two names were of incomparable types.

`GSS_S_BAD_NAME`: One or both of name1 or name2 was ill-formed.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.